**`AVDHESH SINGH `[NAME]**-NL- **`avdheshsingh013@gmail.com`[EMAILS_EMAIL]** -NL- **`+91 9916812870`[PHONES_PHONE]** -NL- Btm Layout Bangalore-76 -NL- **`CAREER SUMMARY`[SUMMARY_HEADING]** -NL- ✓ Graduation in Computer science ( VTU ) and 5.6 + Years of experience working with reputed companies -NL- like Flipkart and ArisGlobal -NL- ✓ Have an experience of 3+ yrs and continuing with www.flipkart.com in development and testing of -NL- Inventory Valuation and Accounts Payable module using the technologies - Java , ROR, Python, Shell -NL- and AWK programming, automation and reporting. -NL- ✓ Good exposure on e-commerce and m-commerce domain. -NL- ✓ Have an experience of 2.8 yrs with www.arisglobal.com in development and testing of Enterprise -NL- Applications using the technologies - Core Java, J2EE (JDBC, Servlets, JSP), SQL, JavaScript, Struts, -NL- Ajax. -NL- ✓ Good exposure on Drug Safety, Pharmacovigilance domain. -NL- **`SKILL SET SUMMARY`[SKILLS_HEADING]** -NL- ✓ Proficient in file operations using Unix commands and AWK programming -NL- ✓ Proficient in automation and Scripting – Python, Unix , shell, AWK -NL- ✓ Proficient in data structures and algorithms -NL- ✓ Experienced developing reports for big data analysis and Map-Reduce Technologies with Hadoop, -NL- Base -NL- ✓ Proficient in programming languages- C++, Java, Python, AWK -NL- ✓ Proficient in shell scripting and automating using UNIX commands. -NL- ✓ Proficient in Application development using MySQL -NL- ✓ Operating Systems – Unix, Windows -NL- **`Flipkart.com`[EMPLOYER_COMPANY_NAME]**, Bangalore (July 2013 – Present) -NL- **`SoftWare Development Engineer`[EMPLOYER_ROLE]** -NL- CostReco FrameWork -NL- ✓ Worked single handily on this framework. -NL- ✓ With this framework live , it has enabled on boarding of 3PL vendors etc , cost accruals are -NL- created ,once the invoice is received from vendor reconciliation is done with accruals and appropriate -NL- payment is done. -NL- ✓ Technology used - Java , ROR, Drop Wizard , hibernate and factory patterns etc. -NL- Inventory Valuation Module -NL- ✓ Developed inventory valuation module, that generates a report at the end of every month, contains all -NL- the items we have in our inventory and their valuation. -NL- ✓ These reports were very critical for finance to close their books etc. and make important strategic -NL- decisions. -NL- ✓ Worked single handily on this module and received many appreciations from managers and finance -NL- folks. -NL- ✓ Developed this feature in Python and wrote automated checks on these reports using shell scripting and -NL- unix commands. -NL- ✓ Technology used - Python , AWK ,Shell and Unix commands. -NL- Reporting From Bigfoot (Hadoop) -NL- ✓ Created many facts and dimensions which involved writing many complex queries to fetch MEC reports -NL- from Bigfoot ( Flipkart centralised data source). -NL- ✓ Took care of data ingestion from a source system to Bigfoot DB. Created alerts on the counts checks -NL- between source DB and Bigfoot DB. -NL- ✓ Technology Used - Hadoop -NL- Created Self Serve Console for Finance Folks -NL- ✓ Created self serve console for finance folks where they create a issue and it automatically creates a -NL- issue/task/follow-ups in JIRA and gets assigned to the concerned person owing that module. -NL- ✓ Technology Used - NodeJS, JIRA -NL- Product Solution Engineer1 -NL- Accounts Payable Module -NL- ✓ Worked on AP (Accounts Payable) and developed several features. -NL- ✓ This system onboard’s a vendor, process all invoices and goods received in WH , does systems -NL- reconciliation with the goods received , does vendor invoice processing and payments. -NL- ✓ Worked as a bridge between system devs and finance folks. -NL- ✓ Technology Used - Ruby ,php, AWK and shell scripting. -NL- ✓ Created a health check script to automate system status reports using shell scripting. -NL- ✓ Wrote complex SQL queries to generate trend reports during migration and monthly MEC activities. -NL- ✓ Handling Incidents and Changes via Service Now and development efforts via Jira. -NL- ✓ Creating and maintaining technical documentations and standard operating procedures using -NL- Confluence -NL- **`ArisGlobal Pvt Ltd`[EMPLOYER_COMPANY_NAME]**, Bangalore (Aug 2010 – June2013) -NL- **`Software Engineer `[EMPLOYER_ROLE]**-NL- agComposer TM -NL- ✓ AgComposer is a comprehensive periodic reporting system that simplifies the process of scheduling, -NL- writing and tracking submission-ready periodic reports. It automates the periodic report creation process -NL- and expedites the preparation of all periodic reports including post marketing (PSUR, PADER), pre- -NL- marketing reports (DSUR) and other report like summary bridging and addendum reports. -NL- ✓ Technology used - Java, Structs 1.x , Javascript, Ajax -NL- ✓ Involved in requirement gathering and analysis. -NL- ✓ Involved in preparation of Unit Specification Document and Unit Test Case Document. -NL- ✓ Involved in coding and implementation of the requirements. -NL- ✓ Involved in Unit and Integration testing. -NL- ✓ Involved in bug fixing of the application. -NL- ✓ Involved in optimising the application to increase its performance. -NL- ✓ Involved in resolving customer issues. -NL- ✓ Client - Baxter , Lundbeck, Pfizer , Biogen -NL- **`Associate Software Engineer `[EMPLOYER_ROLE]**-NL- **`agNVision TM`[EMPLOYER_COMPANY_NAME]** -NL- ✓ agNVision is a comprehensive Business Intelligence reporting system that simplifies the process of -NL- scheduling, writing and report generation. -NL- ✓ Technology used - Java, Structs 1.x , Javascript, Ajax -NL- ✓ Involved in requirement gathering and analysis. -NL- ✓ Involved in preparation of Unit Specification Document and Unit Test Case Document. -NL- ✓ Involved in coding and implementation of the requirements. -NL- ✓ Involved in Unit and Integration testing. -NL- ✓ Involved in bug fixing of the application. -NL- ✓ Involved in optimising the application to increase its performance. -NL- ✓ Involved in resolving customer issues. -NL- ✓ Client - Boehringer Ingelheim -NL- **`PERSONAL SUMMARY`[PERSONAL_DETAILS_HEADING]** -NL- Name : Avdhesh Singh -NL- Qualification : **`BE`[EDUCATION_DEGREE]** – **`Computer Science`[EDUCATION_COURSE]** (2006-10) -NL- Date of Birth : 14-Apr-1989 -NL- Sex : Male -NL- Marital Status : Single -NL- Nationality : Indian -NL- Languages Known : English, Kannada and Hindi -NL- 